Class AdaptivePostAuthenticationPlugin

  • All Implemented Interfaces:
    AMPostAuthProcessInterface

    public class AdaptivePostAuthenticationPlugin
    extends Object
    implements AMPostAuthProcessInterface
    Post Authentication Plugin for the Adaptive authentication module. The adaptive authentication plugin serves to save cookies and profile attributes after successful authentication. Add it to your authentication chains that use the adaptive authentication module configured to save cookies and profile attributes.
    • Constructor Detail

      • AdaptivePostAuthenticationPlugin

        public AdaptivePostAuthenticationPlugin()
    • Method Detail

      • onLoginSuccess

        public void onLoginSuccess​(Map requestParamsMap,
                                   jakarta.servlet.http.HttpServletRequest request,
                                   jakarta.servlet.http.HttpServletResponse response,
                                   SSOToken token)
                            throws AuthenticationException
        Description copied from interface: AMPostAuthProcessInterface
        Post processing on successful authentication.
        Specified by:
        onLoginSuccess in interface AMPostAuthProcessInterface
        Parameters:
        requestParamsMap - map containing HttpServletRequest parameters
        request - HttpServletRequest object.
        response - HttpServletResponse object.
        token - authenticated user's single sign token.
        Throws:
        AuthenticationException - if there is an error.
      • onLoginFailure

        public void onLoginFailure​(Map requestParamsMap,
                                   jakarta.servlet.http.HttpServletRequest request,
                                   jakarta.servlet.http.HttpServletResponse response)
                            throws AuthenticationException
        Description copied from interface: AMPostAuthProcessInterface
        Post processing on failed authentication.
        Specified by:
        onLoginFailure in interface AMPostAuthProcessInterface
        Parameters:
        requestParamsMap - map containing HttpServletRequest parameters.
        request - HttpServletRequest object.
        response - HttpServletResponse object.
        Throws:
        AuthenticationException - when there is an error.